BLK_LIMITS_MAX_HW_SE(9)

NAME
blk_limits_max_hw_sectors - set hard and soft limit of max sectors for request

SYNOPSIS

void blk_limits_max_hw_sectors(struct queue_limits * limits, unsigned int max_hw_sectors);

ARGUMENTS

limits
    the queue limits

max_hw_sectors
    max hardware sectors in the usual 512b unit

DESCRIPTION

Enables a low level driver to set a hard upper limit, max_hw_sectors, on the size of requests. max_hw_sectors is set by the device driver based upon the combined capabilities of I/O controller and storage device.

max_sectors is a soft limit imposed by the block layer for filesystem type requests. This value can be overridden on a per-device basis in /sys/block/<device>/queue/max_sectors_kb. The soft limit can not exceed max_hw_sectors.

COPYRIGHT